Bug 1013097 - Inconsistency between --consumer-id and --node-id valid characters
Inconsistency between --consumer-id and --node-id valid characters
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: nodes (Show other bugs)
2.2
x86_64 Linux
medium Severity low
: ---
: 2.3.0
Assigned To: Jeff Ortel
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 16:27 EDT by npallanez
Modified: 2013-12-09 09:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 09:29:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description npallanez 2013-09-27 16:27:44 EDT
Description of problem:

plup-admin node bind 
--consumer-id accepts "."'s
--node-id does not accept "."'s  

Version-Release number of selected component (if applicable):

2.2

How reproducible:

Steps to Reproduce:
1. pulp-consumer register -u admin --consumer-id foo.goo.com
2. pulp-consumer node activate
3. pulp-admin node bind --repo-id tmprepo --node-id foo.goo.com

Actual results:

Validation failed for argument [--node-id]: value must contain only letters,
numbers, underscores, and hyphens

Expected results:

Valid characters for --consumer-id should be valid for --node-id

Additional info:
Comment 1 Jeff Ortel 2013-09-30 15:14:32 EDT
https://github.com/pulp/pulp/pull/644
Comment 2 Jeff Ortel 2013-10-02 09:30:46 EDT
build: 2.3.0-0.17.beta
Comment 3 Preethi Thomas 2013-10-03 11:10:02 EDT
[root@pulp-v2-server ~]# rpm -qa pulp-server
pulp-server-2.3.0-0.17.beta.el6.noarch
[root@pulp-v2-server ~]# 

[root@pulp-v2-server ~]# pulp-admin node list
+----------------------------------------------------------------------+
                              Child Nodes
+----------------------------------------------------------------------+

Id:               pulp.node1.com
Display Name:     pulp.node1.com
Description:      None
Bindings:         
  Additive: zoo
Update Strategy:  additive
Notes:            


[root@pulp-v2-server ~]# pulp-admin node sync run --node-id pulp.node1.com
This command may be exited via ctrl+c without affecting the request.

[-]
Waiting to begin...



(1/1) Repository: zoo
[==================================================] 100%




Synchronization succeeded

+----------------------------------------------------------------------+
                       Child Node Synchronization
+----------------------------------------------------------------------+

Repository: 
  Action: Added
  Id:     zoo
  Units:  
    Added:   0
    Removed: 0
    Updated: 39



[root@pulp-v2-server ~]#
Comment 4 Preethi Thomas 2013-12-09 09:29:52 EST
Pulp 2.3 released.

Note You need to log in before you can comment on or make changes to this bug.